package com.kuyuntech.cofarcooking.device.sdk.util.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import com.kuyuntech.cofarcooking.device.sdk.devmode.core.*;

import java.util.Base64;
import java.util.HashMap;
import java.util.Map;

public class DevModeUtils {

    public static Map<String, BaseDevMode> allModes(){

        Map<String,BaseDevMode> data = new HashMap<>();

        data.put(WorkModes.WEIGHT, new Weight());
        data.put(WorkModes.BOIL_WATER, new Kettle());
        data.put(WorkModes.KETTLE, new Kettle());
        data.put(WorkModes.TURBO,new Turbo());
        data.put(WorkModes.FOOD_PROCESSOR,new FoodProcessor());
        data.put(WorkModes.ADAPTED_COOKING,new AdaptedCooking());
        data.put(WorkModes.KNEAD_TOUGH,new Knead());
        data.put(WorkModes.KNEAD,new Knead());
        data.put(WorkModes.STEAM,new Steam());
        data.put(WorkModes.SLOW_COOKING,new SlowCooking());
        data.put(WorkModes.SLOW_COOK,new SlowCooking());
        data.put(WorkModes.DESCRIPTION,new Description());
        data.put(WorkModes.BROWN,new Brown());
        data.put(WorkModes.COOKEGGS,new CookEggs());
        data.put(WorkModes.EMULSIFY,new Emulsify());
        data.put(WorkModes.SOVIS_VIDE,new SovsVide());
        data.put(WorkModes.PUREE,new  Puree());
        data.put(WorkModes.SMOOTHIE,new Smoothie());
        data.put(WorkModes.RICE_COOKING,new RiceCooking());
        return data;

    }

}
