package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class Emulsify extends BaseDevMode{

    public Emulsify(){

        this.setMode(WorkModes.EMULSIFY);


        //时间
        this.setDefaultTime(10);
        this.setMaxTime(10  * 60);
        this.setMinTime(10);
        this.setTimeChange(false);

        //电机
        this.setDefaultMotorGear(1);
        this.setMinMotorGear(1);
        this.setMaxMotorGear(4);
        this.setMotorGearChange(true);
        this.setMotorDirectionChange(false);
        this.setMotorDirection(0);

        //温度
        this.setDefaultTemp(100);
        this.setMinTemp(100);
        this.setMaxTemp(100);
        this.setTempChange(false);
    }


}
